Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IWorkbenchPart2

All Superinterfaces:
  IAdaptable, IWorkbenchPart

All Known Implementing Classes:
  WorkbenchPart

public interface IWorkbenchPart2
extends IWorkbenchPart

Extends `IWorkbenchPart`, adding the name and status text properties. Prior to 3.0, a view's title was often modified to show both the part name and extra status text. With this interface, the distinction is made more explicit.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`String` | `getContentDescription()` Returns the content description of this part.
`String` | `getPartName()` Returns the name of this part.

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getPartName

    public String getPartName()

  Returns the name of this part. If this value changes the part must fire a property listener event with `IWorkbenchPartConstants.PROP_PART_NAME`.

  Returns:
    the name of this view, or the empty string if the name is being managed by the workbench (not `null`)

### getContentDescription

    public String getContentDescription()

  Returns the content description of this part. The content description is an optional user-readable string that describes what is currently being displayed in the part. By default, the workbench will display the content description in a line near the top of the view or editor. An empty string indicates no content description text. If this value changes the part must fire a property listener event with `IWorkbenchPartConstants.PROP_CONTENT_DESCRIPTION`.

  Returns:
    the content description of this part (not `null`)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.